Solution For Libgimp-2.0-0.Dll-Error When Starting Partha's Protable GIMP 2.10 RC1


#1

Someone might run into this problem so I’ll share the solution with you.

Starting Partha’s " Standart Edition" portable build of “Gimp 2.10 RC1” in Windows 10 64 throws the following error message:

“The procedure entry point g_getnv could not be located
in the dynamic link library …\bin\libgimp-2.0-0.dll”.

The error shows up while GIMP is initializing the GMIC plugin. After clicking “OK” gimp starts and the GMIC-plugin is accessable and seems to work fine - at least the filters that I have tried.

To get rid of this error message (I don’t know if the error influences the correct working of the GMIC-plugin) replace the folder …\Gimp-2.10.0-std-64bit-portable\Gimp-2.10-std\portable\plug-ins\gmic-gimp-gt and its content with the latest zipped GMIC-plugin (v.2.2.1)for Windows. Gimp 2.10 RC1 starts without error message then.

Regards!


#2

I haven’t encountered this problem. Perhaps @partha fixed it before I downloaded the build.


#3

@afre, You didn’t encounter the problem because you don’t have your own personal copy of gmic. :slightly_smiling_face:

@Fridolin, This is not the solution. Please note that G’MIC has always been included in my builds. You don’t need your own copy!

When 2.10 first starts, it thinks that you are starting GIMP for the first time and copies over stuff from your own personal plugins. So, the real solution is to delete gmic from portable/plug-ins!

Thanks,
Partha


#4

Thank you for this clarification. I will edit my post accordingly.